aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.SimpleDb.Core

# Documentation

type ErrorCode = String #

data SdbError #

Constructors

SdbError |
Fields sdbStatusCode :: Status sdbErrorCode :: ErrorCode sdbErrorMessage :: String

Instances

Show SdbError # |
Methods showsPrec :: Int -> SdbError -> ShowS # show :: SdbError -> String # showList :: [SdbError] -> ShowS #
Exception SdbError # |
Methods toException :: SdbError -> SomeException # fromException :: SomeException -> Maybe SdbError # displayException :: SdbError -> String #

data SdbMetadata #

Constructors

SdbMetadata |
Fields requestId :: Maybe Text boxUsage :: Maybe Text

Instances

Show SdbMetadata # |
Methods showsPrec :: Int -> SdbMetadata -> ShowS # show :: SdbMetadata -> String # showList :: [SdbMetadata] -> ShowS #
Monoid SdbMetadata # |
Methods mempty :: SdbMetadata # mappend :: SdbMetadata -> SdbMetadata -> SdbMetadata # mconcat :: [SdbMetadata] -> SdbMetadata #
Loggable SdbMetadata # |
Methods toLogText :: SdbMetadata -> Text #

data SdbConfiguration qt #

Constructors

SdbConfiguration |
Fields sdbiProtocol :: Protocol sdbiHttpMethod :: Method sdbiHost :: ByteString sdbiPort :: Int

Instances

Show (SdbConfiguration qt) # |
Methods showsPrec :: Int -> SdbConfiguration qt -> ShowS # show :: SdbConfiguration qt -> String # showList :: [SdbConfiguration qt] -> ShowS #
DefaultServiceConfiguration (SdbConfiguration UriOnlyQuery) # |
Methods defServiceConfig :: SdbConfiguration UriOnlyQuery # debugServiceConfig :: SdbConfiguration UriOnlyQuery #
DefaultServiceConfiguration (SdbConfiguration NormalQuery) # |
Methods defServiceConfig :: SdbConfiguration NormalQuery # debugServiceConfig :: SdbConfiguration NormalQuery #

sdbUsEast :: ByteString #

sdbUsWest :: ByteString #

sdbEuWest :: ByteString #

sdbApSoutheast :: ByteString #

sdbApNortheast :: ByteString #

sdbHttpGet :: ByteString -> SdbConfiguration qt #

sdbHttpPost :: ByteString -> SdbConfiguration NormalQuery #

sdbHttpsGet :: ByteString -> SdbConfiguration qt #

sdbHttpsPost :: ByteString -> SdbConfiguration NormalQuery #

sdbSignQuery :: [(ByteString, ByteString)] -> SdbConfiguration qt -> SignatureData -> SignedQuery #

sdbResponseConsumer :: (Cursor -> Response SdbMetadata a) -> IORef SdbMetadata -> HTTPResponseConsumer a #

class SdbFromResponse a where #

Minimal complete definition

sdbFromResponse

Methods

sdbFromResponse :: Cursor -> Response SdbMetadata a #

sdbCheckResponseType :: MonadThrow m => a -> Text -> Cursor -> m a #

decodeBase64 :: MonadThrow m => Cursor -> m Text #

data Attribute a #

Constructors

ForAttribute |
Fields attributeName :: Text attributeData :: a

Instances

ListResponse SelectResponse (Item [Attribute Text]) # |
Methods listResponse :: SelectResponse -> [Item [Attribute Text]] #
Show a => Show (Attribute a) # |
Methods showsPrec :: Int -> Attribute a -> ShowS # show :: Attribute a -> String # showList :: [Attribute a] -> ShowS #

readAttribute :: MonadThrow m => Cursor -> m (Attribute Text) #

data SetAttribute #

Constructors

SetAttribute |
Fields setAttribute :: Text isReplaceAttribute :: Bool

Instances

Show SetAttribute # |
Methods showsPrec :: Int -> SetAttribute -> ShowS # show :: SetAttribute -> String # showList :: [SetAttribute] -> ShowS #

attributeQuery :: (a -> [(ByteString, ByteString)]) -> Attribute a -> [(ByteString, ByteString)] #

addAttribute :: Text -> Text -> Attribute SetAttribute #

replaceAttribute :: Text -> Text -> Attribute SetAttribute #

setAttributeQuery :: SetAttribute -> [(ByteString, ByteString)] #

data DeleteAttribute #

Constructors

DeleteAttribute |
ValuedDeleteAttribute |
Fields deleteAttributeValue :: Text

Instances

Show DeleteAttribute # |
Methods showsPrec :: Int -> DeleteAttribute -> ShowS # show :: DeleteAttribute -> String # showList :: [DeleteAttribute] -> ShowS #

deleteAttributeQuery :: DeleteAttribute -> [(ByteString, ByteString)] #

data ExpectedAttribute #

Constructors

ExpectedValue |
Fields expectedAttributeValue :: Text
ExpectedExists |
Fields expectedAttributeExists :: Bool

Instances

Show ExpectedAttribute # |
Methods showsPrec :: Int -> ExpectedAttribute -> ShowS # show :: ExpectedAttribute -> String # showList :: [ExpectedAttribute] -> ShowS #

expectedValue :: Text -> Text -> Attribute ExpectedAttribute #

expectedExists :: Text -> Bool -> Attribute ExpectedAttribute #

expectedAttributeQuery :: ExpectedAttribute -> [(ByteString, ByteString)] #

data Item a #

Constructors

Item |
Fields itemName :: Text itemData :: a

Instances

ListResponse SelectResponse (Item [Attribute Text]) # |
Methods listResponse :: SelectResponse -> [Item [Attribute Text]] #
Show a => Show (Item a) # |
Methods showsPrec :: Int -> Item a -> ShowS # show :: Item a -> String # showList :: [Item a] -> ShowS #

readItem :: MonadThrow m => Cursor -> m (Item [Attribute Text]) #

itemQuery :: (a -> [(ByteString, ByteString)]) -> Item a -> [(ByteString, ByteString)] #